Loading...
Searching...
No Matches
PortDispatcher.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2011 Raritan Inc. All rights reserved.
*/
#include <SerialPort.idl>
/** Serial Ports */
module serial {
/**
* Top-level interface of the serial port manager
*/
interface PortDispatcher {
/**
* @brief Get serial ports
*
* Returns a map of serial ports that are both
* - available on the device
* - monitored by the system
*
* The mapping is 'symbolic port name' -> 'port instance'.
*
* @return -- A map with available port instances
*/
map<string, SerialPort> getPorts();
};
}
serial::PortDispatcher
Top-level interface of the serial port manager.
Definition PortDispatcher.idl:14
serial::PortDispatcher::getPorts
map< string, SerialPort > getPorts()
Get serial ports.
serial
Serial Ports.
Definition AnalogModem.idl:12